Subject: Re: [Rfced-future] Issue 31: Updates RFC 8729?

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 10 Sep 2021 14:22:47 -0600

My apologies for the delayed reply.

On 8/28/21 4:36 PM, Brian E Carpenter wrote:
> On 28-Aug-21 20:56, Eliot Lear wrote:

<snip/>

>> Note that there are many parts of RFC 8729 we probably *don't* want to change, such as Section 4.3 and 4.4, and Section 5.
> 
> Agreed. But there seem to be three choices:
> 1) Incorporate them here by reference. In other words, we do Updates: 8729 and have a section that details which sections are kept and which sections are obsoleted.
> 2) Incorporate them here by value, and do Obsoletes: 8729.
> 3) Do RFC8729bis.
> These are equivalent operations but we need to pick one.

Because both (2) and (3) seem to be outside of our remit here, I'd
prefer (1). Eliot and Brian, are you suggesting that someone work on
8729bis but that we do so outside the context of the RFCED Future Program?

With my editor hat on, I'll note that I've already included some text
from RFC 8729 in our I-D.

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 11 Sep 2021 08:34:33 +1200

> 8729bis but that we do so outside the context of the RFCED Future Program?

Since these are IAB documents, the IAB should decide. It might be useful
to frame the question precisely and ask the IAB what they prefer.
 
> from RFC 8729 in our I-D.

Sure, that seems inevitable in any case, but it takes us towards solution (2) or (3).

Regards
   Brian

---

From: Eliot Lear <[email-masked]>
Date: Sat, 11 Sep 2021 13:20:08 +0200

> from RFC 8729 in our I-D.

Barring objections, that is how we will proceed.  I view this as 
somewhat editorial*, by the way, so Peter's voice rings loud here.

Eliot

* Using the term "editorial" in a process that involves the editing of 
our editorial processes might prove somewhat ambiguous.  I mean, of 
course, that involves the form of how we are making changes, and not the 
substance.

---

From: Eliot Lear <[email-masked]>
Date: Wed, 22 Sep 2021 09:01:03 +0200

Peter has been incorporating elements of RFC 8729 that needed to be 
updated.  If you think he's missed something, please comment by the 6th 
of October.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 24 Sep 2021 14:58:42 +1200

On 22-Sep-21 19:01, Eliot Lear wrote:"
> updated.  If you think he's missed something, please comment by the 6th 

1) Recent practice seems to be to mentions "updates" (as well as "obsoletes")
in the Abstract.

2) Perhaps the last sentence of the first paragraph of the Introduction
should end with a pointer to Appendix C, e.g.:

  "The overall
   framework for the RFC Series and the RFC Editor function are
   described in [RFC8729] and updated here; the differences are
   summarised in Appendix C."

3) I believe that Appendix C does not deal with section 3.1 of RFC8729
correctly. The second paragraph of that section is as follows:

   "The RFC Editor is an expert technical editor and series editor, acting to support the mission of the RFC Series. As such, the RFC Editor is the implementer handling the editorial management of the RFC Series, in accordance with the defined processes. In addition, the RFC Editor is expected to be the expert and prime mover in discussions about policies for editing, publishing, and archiving RFCs."

It seems to me that is definitively out of date in the new structure and
Appendix C should say so.

4) Similarly, the second paragraph of section 3.2 of RFC8729 is out of date:

   "It is the responsibility of the IAB to approve the appointment of the 
RFC Editor and to approve the general policy followed by the RFC Editor."

5) The text on "Document Approval" in RFC8729 is also affected, so I suggest:

OLD:
the editing, processing, and publication of documents (Section 4.2 of [RFC8729])

NEW:
the approval, editing, processing, and publication of documents (Sections 
4.1 and 4.2 of [RFC8729])

That's all I found.

Regards
    Brian

---

From: Eliot Lear <[email-masked]>
Date: Fri, 24 Sep 2021 07:47:03 +0200

Brian,

Thanks.  Are there any objections to Brian's suggestions?

Eliot